javax.persistence.spi

## Interface PersistenceProvider

    public interface PersistenceProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`EntityManagerFactory` `createContainerEntityManagerFactory(PersistenceUnitInfo info, Map map)`
`EntityManagerFactory` `createEntityManagerFactory(String emName, Map map)`
`ProviderUtil` `getProviderUtil()`

### Method Detail

#### createEntityManagerFactory

    EntityManagerFactory createEntityManagerFactory(String emName,
                                                    Map map)

#### createContainerEntityManagerFactory

    EntityManagerFactory createContainerEntityManagerFactory(PersistenceUnitInfo info,
                                                             Map map)

#### getProviderUtil

    ProviderUtil getProviderUtil()